@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Smooch+Sans:wght@100..900&display=swap");

@font-face {
  font-family: "vazir";
  src: url(../Assets/Font/fonts/ttf/Vazirmatn-Medium.ttf);
}

@font-face {
  font-family: "zar";
  src: url(../Assets/Font/fonts/ttf/B\ Zar_0.ttf);
}

@font-face {
  font-family: "nazanin";
  src: url(../Assets/Font/fonts/ttf/Far_Nazanin.ttf);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.slotter {
  background-color: var(--main-color);
}

html {
  scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
}

:root {
  --main-color: #2b2b2b;
  --text-color: #f1f6f8;
  --hover-color: #b9d4f1;
  --other-color: #a8a8a8;
  --header-font: "Titillium Web", serif;
  --others-font: "Poppins", serif;
  --vazir-font: "vazir";
  --zar-font: "zar";
  --nazanin-font: "nazanin";
}

@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: var(--main-color);
  }
}

@keyframes shine {
  0% {
    background-position: 0px;
  }

  100% {
    background-position: 200%;
  }
}

/* Header */

header {
  padding: 20px 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--text-color);
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 2;
  border-radius: 0 0 30px 30px;
  direction: rtl;
}

header h1 {
  color: var(--main-color);
  font-family: var(--header-font);
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: 0.15em solid var(--other-color); /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  animation:
    typing 1.75s steps(40, end),
    blink-caret 0.75s step-end infinite;
}

header img {
  height: 50px;
}

.header-whole {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.header-pages {
  display: flex;
  gap: 1rem;
}

.header-pages a {
  color: var(--main-color);
  text-decoration: none;
  font-family: var(--vazir-font);
  font-weight: 700;
  font-size: 14px;
  position: relative;
  padding: 15px;
  transition: all ease-in-out 0.3s;
  border-radius: 30px;
}

.header-pages a:hover {
  color: var(--text-color);
  background-color: var(--main-color);
}

.header-logo {
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
}

.header-pages a.Translate {
  color: var(--main-color);
  text-decoration: none;
  font-family: Poppins;
  font-weight: 600;
  position: relative;
  transition: all ease-in-out 0.3s;
  border-radius: 55%;
  display: flex;
  justify-content: center;
  align-items: center;
}

a.Translate:hover {
  color: var(--text-color);
  background-color: var(--main-color);
}

.header-logo a i {
  color: var(--main-color);
  font-size: 25px;
  transition: all ease-in-out 0.3s;
  padding: 10px;
  border-radius: 30px;
}

.header-logo .instagram {
  margin-top: 1px;
}

.telegram {
  margin-right: 8px;
}

.header-logo button {
  border: none;
  outline: none;
  display: flex;
  width: fit-content;
  justify-content: center;
  align-items: center;
  background-color: var(--main-color);
  border-radius: 50%;
  padding: 5px;
  cursor: pointer;
}

.header-logo button i {
  color: var(--text-color);
  font-size: 35px;
  transition: all ease-in-out 0.3s;
  padding: 5px;
  border-radius: 30px;
}

.header-logo a i:hover {
  color: var(--text-color);
  background-color: var(--main-color);
}

/* Hero Section */

.hero-section {
  padding: 213px 0px 120px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 11rem;
  direction: rtl;
}

.hero-section-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 40%;
}

.hero-description {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: fit-content;
  gap: 1rem;
}

.hero-start {
  color: var(--text-color);
  font-size: 32px;
  font-family: var(--zar-font);
  font-weight: 700;
  background: linear-gradient(to left, #4d4d4d 0, #fff 50%, #4d4d4d 100%);
  background-position: 0;
  background-size: 200%;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: shine 2s infinite linear;
  animation-fill-mode: forwards;
  -webkit-text-size-adjust: none;
  text-decoration: none;
  text-wrap: nowrap;
}

.hero-mid {
  color: var(--other-color);
  font-size: 22px;
  font-family: var(--zar-font);
  font-weight: 500;
  text-align: justify;
}

.hero-end a {
  color: var(--other-color);
  text-decoration: none;
  font-size: 27px;
  font-family: var(--zar-font);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  text-align: justify;
  margin-left: 1px;
  transition: all ease-in-out 300ms;
}

.hero-end a:hover > i {
  color: var(--text-color);
  transform: translateX(-50%);
}

.hero-end a:hover {
  color: var(--text-color);
}

.hero-end a i {
  font-size: 25px;
  color: var(--other-color);
  transition: all ease-in-out 300ms;
  transform: rotateY(180deg);
}

.my-card-content {
  width: 100%;
}

.my-card-content img {
  height: 450px;
  border-radius: 15px;
  object-fit: cover;
  aspect-ratio: 1 / 1;
}

/* Swiper 1 */

.stack-area {
  height: 300vh;
  position: relative;
  background: white;
  display: flex;
  border-radius: 30px;
  margin-top: 15px;
  transition: all ease-in-out 300ms;
}

.left {
  height: 100vh;
  flex-basis: 50%;
  position: sticky;
  top: 0;
  left: 0;
}

.right {
  height: 100vh;
  flex-basis: 50%;
  position: sticky;
  top: 0;
}

.left {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  align-items: center;
  flex-direction: column;
}

.title {
  width: 420px;
  font-size: 84px;
  font-family: poppins;
  font-weight: 700;
  line-height: 88px;
}

.sub-title {
  width: 420px;
  font-family: poppins;
  font-size: 14px;
  margin-top: 30px;
}

.sub-title button {
  font-family: poppins;
  font-size: 14px;
  padding: 15px 30px;
  background: black;
  color: white;
  border-radius: 8mm;
  border: none;
  outline: none;
  cursor: pointer;
  margin-top: 20px;
  transition: all ease-in-out 200ms;
}

.sub-title button:hover {
  background: var(--text-color);
  color: var(--main-color);
}

.stack-area:has(.sub-title button:hover).stack-area {
  background: var(--main-color);
  transition: all ease-in-out 200ms;
}

.stack-area:has(.sub-title button:hover) .card {
  background: var(--text-color);
}

.stack-area:has(.sub-title button:hover) .sub {
  color: var(--main-color);
}

.stack-area:has(.sub-title button:hover) .title {
  color: var(--text-color);
}

.stack-area:has(.sub-title button:hover) .sub-title {
  color: var(--text-color);
}

.card {
  width: 350px;
  height: 350px;
  border-radius: 25px;
  margin-bottom: 10px;
  position: absolute;
  top: calc(50% - 175px);
  left: calc(50% - 175px);
  transition: 0.5s ease-in-out;
  border: 1px solid var(--text-color);
}

.card:nth-child(1) {
  background: var(--main-color);
  color: var(--text-color);
}

.card:nth-child(2) {
  background: var(--main-color);
  color: var(--text-color);
}

.card:nth-child(3) {
  background: var(--main-color);
  color: var(--text-color);
}

.card:nth-child(4) {
  background: var(--main-color);
  color: var(--text-color);
}

.card {
  box-sizing: border-box;
  padding: 35px;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: center;
}

.sub {
  font-family: poppins;
  font-size: 20px;
  font-weight: 700;
  align-self: flex-start;
}

.content {
  font-family: poppins;
  font-size: 44px;
  font-weight: 700;
  line-height: 54px;
}

.content img {
  height: 250px;
}

.away {
  transform-origin: bottom left;
}

/* Swiper 2 */

.sw2 {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 200px 0px;
}

.sw2 div a i {
  font-size: 70px;
  color: var(--text-color);
}

.sw2 div:hover a i {
  color: var(--main-color);
}

.sw2 .glass {
  position: relative;
  width: 280px;
  height: 300px;
  background: linear-gradient(#fff2, transparent);
  border: 1px solid rgba(255, 255, 255, 0.1);
  box-shadow: 0 25px 25px rgba(0, 0, 0, 0.25);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s;
  border-radius: 10px;
  margin: 0 -45px;
  backdrop-filter: blur(10px);
  transform: rotate(calc(var(--r) * 0.5deg));
}

.sw2:hover .glass {
  transform: rotate(0deg);
  margin: 0 10px;
}

.sw2 .glass::before {
  content: attr(data-text);
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 40px;
  background: rgba(255, 255, 255, 0.05);
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--text-color);
  font-family: var(--header-font);
}

.sw2 .glass:hover {
  background-color: var(--text-color);
}

.sw2 .glass:hover::before {
  color: var(--main-color);
}

/* Footer */

footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  padding: 50px 100px;
  gap: 2rem;
  direction: rtl;
}

footer span {
  font-size: 30px;
  font-weight: 700;
  font-family: poppins;
  color: var(--text-color);
}

.footer-whole {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20em;
}

.footer-whole .gif img {
  height: 300px;
}

.footer-down {
  display: flex;
  flex-direction: row;
  gap: 3rem;
}

.footer-down div {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin-left: 10px;
}

.footer-down div ul {
  display: flex;
  flex-direction: column;
  gap: 1.2rem;
  list-style: none;
  margin-left: 10px;
}

.footer-down div .main-gap {
  display: flex;
  flex-flow: column;
  gap: 1.2rem;
}

.footer-down div ul li {
  color: var(--other-color);
  font-family: poppins;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  gap: 6px;
  cursor: pointer;
  transition: all ease-in-out 300ms;
}

.footer-down div ul li:hover {
  color: var(--text-color);
}

.footer-down div ul li a {
  color: var(--other-color);
  font-family: poppins;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 6px;
  cursor: pointer;
  text-decoration: none;
  transition: all ease-in-out 300ms;
}

.footer-down div ul li a:hover {
  color: var(--text-color);
}

.footer-down div ul li i {
  color: var(--hover-color);
  font-size: 20px;
}

.mar1 {
  margin-bottom: 2px;
}

.mar2 {
  margin-bottom: 0.5px;
}

.mar3 {
  margin-bottom: 0.5px;
}

.footer-down div ul li span {
  font-size: 1rem;
  font-family: poppins;
}

.footer-end {
  margin-left: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-end img {
  height: 200px;
  padding: 0 0 20px 0px;
}

.footer-end span {
  font-size: 12px;
  font-weight: 200;
  font-style: normal;
}

/* Phone */

@media screen and (max-width: 450px) {
  header {
    direction: rtl;
  }

  header h1 {
    font-size: 2rem;
  }

  .header-whole {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
  }

  .header-pages {
    display: none;
    gap: 3rem;
  }

  .header-pages a {
    font-weight: 700;
    font-size: 12px;
    padding: 4px;
  }

  .header-pages a:hover {
    color: var(--text-color);
    background-color: var(--main-color);
  }

  .header-logo {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .header-logo a i {
    color: var(--main-color);
    font-size: 16px;
    transition: all ease-in-out 0.3s;
    padding: 4px;
    border-radius: 30px;
    display: none;
  }

  .header-logo button i {
    color: var(--text-color);
    font-size: 40px;
    transition: all ease-in-out 0.3s;
    padding: 6px;
    border-radius: 30px;
  }

  /* Hero */

  .hero-section {
    direction: rtl;
    padding: 133px 0px 65px 0px;
    display: flex;
    flex-flow: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 4rem;
    direction: rtl;
  }

  .hero-section-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 40%;
  }

  .hero-description {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    width: fit-content;
    gap: 1rem;
  }

  .hero-start {
    color: var(--text-color);
    font-size: 35px;
    font-family: var(--others-font);
    font-weight: 700;
    background: linear-gradient(to left, #4d4d4d 0, #fff 50%, #4d4d4d 100%);
    background-position: 0;
    background-size: 200%;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: shine 2s infinite linear;
    animation-fill-mode: forwards;
    -webkit-text-size-adjust: none;
    text-decoration: none;
    text-wrap: nowrap;
  }

  .hero-mid {
    color: var(--other-color);
    font-size: 24px;
    font-family: var(--others-font);
    font-weight: 500;
    text-align: right;
    text-align: justify;
  }

  .hero-end a {
    color: var(--other-color);
    text-decoration: none;
    font-size: 24px;
    font-family: var(--others-font);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    text-align: justify;
    margin-left: 1px;
    transition: all ease-in-out 300ms;
  }

  .hero-end a:hover > i {
    color: var(--text-color);
    transform: translateX(-50%);
  }

  .hero-end a:hover {
    color: var(--text-color);
  }

  .hero-end a i {
    font-size: 30px;
    margin-top: 5px;
    color: var(--other-color);
    transition: all ease-in-out 300ms;
    transform: rotateY(180deg);
  }

  .my-card-content {
    width: 100%;
  }

  .my-card-content img {
    height: 300px;
    border-radius: 5px;
    object-fit: cover;
    aspect-ratio: 1 / 1;
    border-radius: 100% 100% 0 0;
    -webkit-box-shadow: 0px 8px 13px 2px rgba(0, 0, 0, 0.65);
    box-shadow: 0px 8px 13px 2px rgba(0, 0, 0, 0.65);
  }

  /* Cards */

  .stack-area {
    height: 400vh;
    position: relative;
    background: white;
    display: flex;
    border-radius: 30px;
    margin-top: 15px;
    transition: all ease-in-out 300ms;
    flex-flow: column-reverse;
  }

  .left {
    height: 100vh;
    position: sticky;
    top: 0;
    left: 0;
    padding-top: 1000px;
  }

  .right {
    height: 100vh;
    position: sticky;
    top: 0;
    margin-left: 40%;
  }

  .left {
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    align-items: center;
    flex-direction: column;
  }

  .title {
    width: 250px;
    font-size: 40px;
    font-family: poppins;
    font-weight: 700;
    line-height: 88px;
  }

  .sub-title {
    width: 250px;
    font-family: poppins;
    font-size: 22px;
    margin-top: 0px;
  }

  .sub-title button {
    font-family: poppins;
    font-size: 18px;
    padding: 15px 30px;
    background: black;
    color: white;
    border-radius: 8mm;
    border: none;
    outline: none;
    cursor: pointer;
    margin-top: 20px;
    transition: all ease-in-out 200ms;
  }

  .card {
    width: 300px;
    height: 300px;
    border-radius: 25px;
    margin-bottom: 0px;
    position: absolute;
    top: calc(26% - 175px);
    left: calc(30% - 175px);
    transition: 0.5s ease-in-out;
  }

  .card:nth-child(1) {
    background: var(--main-color);
    color: var(--text-color);
  }

  .card:nth-child(2) {
    background: var(--main-color);
    color: var(--text-color);
  }

  .card:nth-child(3) {
    background: var(--main-color);
    color: var(--text-color);
  }

  .card:nth-child(4) {
    background: var(--main-color);
    color: var(--text-color);
  }

  .card {
    box-sizing: border-box;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
  }

  .sub {
    font-family: poppins;
    font-size: 23px;
    font-weight: 700;
  }

  .content {
    font-family: poppins;
    font-size: 23px;
    font-weight: 700;
    line-height: 20px;
  }

  .content p {
    color: var(--other-color);
  }

  .away {
    transform-origin: bottom left;
  }

  /* Swiper 2 */

  .sw2 {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
    margin: 200px 0px;
  }

  .sw2 div a i {
    font-size: 70px;
    color: var(--text-color);
  }

  .sw2 div:hover a i {
    color: var(--main-color);
  }

  .sw2 .glass {
    position: relative;
    width: 200px;
    height: 220px;
    background: linear-gradient(#fff2, transparent);
    border: 1px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 25px 25px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
    border-radius: 10px;
    margin: -85px 0px;
    backdrop-filter: blur(10px);
    transform: rotate(calc(var(--r) * 1deg));
  }

  .sw2:hover .glass {
    transform: rotate(0deg);
    margin: 0 10px;
  }

  .sw2 .glass::before {
    content: attr(data-text);
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 40px;
    background: rgba(255, 255, 255, 0.05);
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--text-color);
    font-family: var(--header-font);
  }

  .sw2 .glass:hover {
    background-color: var(--text-color);
  }

  .sw2 .glass:hover::before {
    color: var(--main-color);
  }

  footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    padding: 10px 20px;
    gap: 1rem;
    margin-top: 120px;
    direction: rtl;
  }

  footer span {
    font-size: 25px;
    font-weight: 700;
    font-family: poppins;
    color: var(--text-color);
  }

  .footer-whole {
    gap: 1.5em;
    display: flex;
    flex-direction: column;
  }

  .footer-down {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }

  .footer-down div {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-left: 5px;
  }

  .footer-down div ul {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    list-style: none;
    margin-left: 5px;
  }

  .footer-down div ul .gmaill {
    font-size: 17px;
  }

  .footer-down div .main-gap {
    display: flex;
    flex-flow: column;
    gap: 1.2rem;
  }

  .footer-down div ul li {
    color: var(--other-color);
    font-family: poppins;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 10px;
    font-size: 22px;
    cursor: pointer;
  }

  .footer-down div ul li i {
    color: var(--hover-color);
    font-size: 28px;
  }

  .mar1 {
    margin-bottom: 1.4px;
  }

  .mar2 {
    margin-bottom: 0.5px;
  }

  .mar3 {
    margin-bottom: 1.5px;
  }

  .footer-down div ul li span {
    font-size: 1rem;
    font-family: poppins;
  }

  .footer-end {
    margin-left: 5px;
  }

  .footer-end span {
    font-size: 18px;
    font-weight: 200;
    font-style: normal;
  }
}
